<?php
if (!defined('DC_RC_PATH')) { return; }

$core->addBehavior('initWidgets',
        array('widgetRandomImagesBehaviors','initWidgets'));


class widgetRandomImagesBehaviors
{
        public static function initWidgets($w)
        {
            // creation
            $w->create('RandomImagesWidget',__('Random images'),array('RandomImages','myWidget'));
            // titre
            $w->RandomImagesWidget->setting('title',__('Title:'),__('Random images'),'text');
            // repertoire des images
            $w->RandomImagesWidget->setting('imagedir',__('Directory of medias manager which contains the images and sub-directory of images:'),'./','text');
            // Nombre d'images
            $w->RandomImagesWidget->setting('nbre',__('Number of images to display:'),'2','text');
            // choix du format d'image
            $w->RandomImagesWidget->setting('format',__('Format:'),null,'combo',
                array('square' => 1,
                    'thumbnail' => 2,
                    'small' => 3,
                    'medium' => 4,
                    'originale' => 5,
                    ));
            // Mode d'ouverture
            $w->RandomImagesWidget->setting('openWith',__('Open:'),null,'combo',
                array(
                        __('in this window') => 1,
                        __('in a popups') => 2
                    ));
            // Seulement sur la page d'accueil ?
            $w->RandomImagesWidget->setting('homepage',__('Home page only').' ?',true,'check');
        }

}
?>
